Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 84481

Summary: initial size of pre-existing logical volume group has wrong unit
Product: [Retired] Red Hat Linux Reporter: Alexandre Oliva <aoliva>
Component: anacondaAssignee: Jeremy Katz <katzj>
Status: CLOSED CURRENTRELEASE QA Contact: Mike McLean <mikem>
Severity: medium Docs Contact:
Priority: medium    
Version: 9   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-05-11 20:20:05 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Alexandre Oliva 2003-02-17 21:49:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030120

Description of problem:
When a line such as `volgroup <name> --noformat'  is present in a kickstart
file, the size of the volume group is computed in Kb, but the disk druid screen
claims it's in Mb.  
The vt3 line `used size vs. available for vg <name>'  has the total (and not
available) size in the wrong unit as well.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Create a kickstart file that preserves a pre-existing volume group
2.Start the installer with it

Actual Results:  When you get to disk druid, before you click on any of the
logical volume partitions, the displayed size is in Kb, not Mb.

Expected Results:  It should be in MB, as said in the title of the column.

Additional info:

Comment 1 Jeremy Katz 2003-02-20 07:16:15 UTC
Also true for non kickstart.  Fixed in CVS